import { RouteConfig, NavigationInstruction } from 'aurelia-router';
import { AuthService } from './auth-service';
export declare class BaseCallback {
    protected auth: AuthService;
    constructor(auth: AuthService);
    canActivate(params: any, routeConfig: RouteConfig, navigationInstruction: NavigationInstruction): boolean | Promise<boolean>;
    attached(): void;
}
